; <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
; Nom du projet : LaughingOutLoud
; Nom du fichier : LOL - LaughingOutLoud.pb
; Version du fichier : 3.0.0
; Programmation : OK
; Programm par : StarBootics
; Date : 12-01-2015
; Mise  jour : 12-01-2015
; Cod pour : PureBasic 5.31
; Plateforme : Windows, Linux, MacOS X
; <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

DeclareModule LaughingOutLoud
  
  Declare MainScreen()
  Declare RunAnimations()
  Declare Shutdown()
  
EndDeclareModule

Module LaughingOutLoud
  
  Procedure MainScreen()
    
    If InitSprite() = 0
      MessageRequester("Fatal Error", "Impossible to initialize the Sprite environment !")
      End
    Else
      If Screen::Initialize() = 0
        MessageRequester("Fatal Error", "Impossible to find a suitable screen !")
        End  
      EndIf
    EndIf
    
    If InitKeyboard() = 0
      MessageRequester("Fatal Error", "Impossible to initialize the Keyboard environment !")
      End
    EndIf
    
    If Screen::Open("Laughing Out Loud") = 0
      MessageRequester("Fatal Error", "Impossible to open the screen !")
      End
    Else
      
      Animation::Initialize()
      Animation::Randomize()
      
    EndIf
    
  EndProcedure
  
  Procedure RunAnimations()
    
    Tempo::New(0, 25000)
    Tempo::Start(0)
    
    Repeat 
      
      ExamineKeyboard() 
      ClearScreen(0) 
      Animation::UpdateEffex()
      FlipBuffers() 
      
      If Tempo::Consult(0) <= 0
        
        Tempo::Stop(0)
        
        Animation::InitializeEffex()
        Animation::Randomize()
        
        Tempo::SetTime(0, 25000)
        Tempo::Start(0)
        
      EndIf 
      
    Until KeyboardPushed(#PB_Key_Escape) 
    
  EndProcedure
  
  Procedure Shutdown()
    
    CloseScreen()
    Animation::Reset()
    Tempo::Reset(-1)
    Screen::Reset()
    End
    
  EndProcedure
  
EndModule

; <<<<<<<<<<<<<<<<<<<<<<<<<<
; <<<<< FIN DU FICHIER <<<<<
; <<<<<<<<<<<<<<<<<<<<<<<<<<
; IDE Options = PureBasic 5.42 LTS (Linux - x64)
; Folding = j
; EnableXP
; CompileSourceDirectory