; <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
; Nom du projet : LinearlySpacedValue
; Nom du fichier : LinearlySpacedValue - Module.pb
; Version du fichier : 1.0.0
; Programmation : OK
; Programm par : StarBooticsa
; Date : 12-09-2010
; Mise  jour : 04-01-2012
; Code PureBasic : 4.60
; Plateforme : Windows, Linux, MacOS X
; <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

DeclareModule LinearlySpacedValue
  
  Declare.b Byte(IncrementID.l, IncrementMax.l, MinValue.b, MaxValue.b)
  Declare.a Ascii(IncrementID.l, IncrementMax.l, MinValue.a, MaxValue.a)
  Declare.c Character(IncrementID.l, IncrementMax.l, MinValue.c, MaxValue.c)
  Declare.u Unicode(IncrementID.l, IncrementMax.l, MinValue.u, MaxValue.u)
  Declare.w Word(IncrementID.l, IncrementMax.l, MinValue.w, MaxValue.w)
  Declare.l Long(IncrementID.l, IncrementMax.l, MinValue.l, MaxValue.l)
  Declare.i Integer(IncrementID.l, IncrementMax.l, MinValue.i, MaxValue.i)
  Declare.q Quad(IncrementID.l, IncrementMax.l, MinValue.q, MaxValue.q)
  Declare.f Float(IncrementID.l, IncrementMax.l, MinValue.f, MaxValue.f)
  Declare.d Double(IncrementID.l, IncrementMax.l, MinValue.d, MaxValue.d)
  
EndDeclareModule

Module LinearlySpacedValue
  
  Procedure.b Byte(IncrementID.l, IncrementMax.l, MinValue.b, MaxValue.b)
    
    ProcedureReturn ((MinValue) + ((MaxValue) - (MinValue)) * ((IncrementID) / (IncrementMax)))
  EndProcedure
  
  Procedure.a Ascii(IncrementID.l, IncrementMax.l, MinValue.a, MaxValue.a)
    
    ProcedureReturn ((MinValue) + ((MaxValue) - (MinValue)) * ((IncrementID) / (IncrementMax)))
  EndProcedure
  
  Procedure.c Character(IncrementID.l, IncrementMax.l, MinValue.c, MaxValue.c)
    
    ProcedureReturn ((MinValue) + ((MaxValue) - (MinValue)) * ((IncrementID) / (IncrementMax)))
  EndProcedure
  
  Procedure.u Unicode(IncrementID.l, IncrementMax.l, MinValue.u, MaxValue.u)
    
    ProcedureReturn ((MinValue) + ((MaxValue) - (MinValue)) * ((IncrementID) / (IncrementMax)))
  EndProcedure
  
  Procedure.w Word(IncrementID.l, IncrementMax.l, MinValue.w, MaxValue.w)
    
    ProcedureReturn ((MinValue) + ((MaxValue) - (MinValue)) * ((IncrementID) / (IncrementMax)))
  EndProcedure
  
  Procedure.l Long(IncrementID.l, IncrementMax.l, MinValue.l, MaxValue.l)
    
    ProcedureReturn ((MinValue) + ((MaxValue) - (MinValue)) * ((IncrementID) / (IncrementMax)))
  EndProcedure
  
  Procedure.i Integer(IncrementID.l, IncrementMax.l, MinValue.i, MaxValue.i)
    
    ProcedureReturn ((MinValue) + ((MaxValue) - (MinValue)) * ((IncrementID) / (IncrementMax)))
  EndProcedure
  
  Procedure.q Quad(IncrementID.l, IncrementMax.l, MinValue.q, MaxValue.q)
    
    ProcedureReturn ((MinValue) + ((MaxValue) - (MinValue)) * ((IncrementID) / (IncrementMax)))
  EndProcedure
  
  Procedure.f Float(IncrementID.l, IncrementMax.l, MinValue.f, MaxValue.f)
    
    ProcedureReturn ((MinValue) + ((MaxValue) - (MinValue)) * ((IncrementID) / (IncrementMax)))
  EndProcedure
  
  Procedure.d Double(IncrementID.l, IncrementMax.l, MinValue.d, MaxValue.d)
    
    ProcedureReturn ((MinValue) + ((MaxValue) - (MinValue)) * ((IncrementID) / (IncrementMax)))
  EndProcedure

EndModule

CompilerIf #PB_Compiler_IsMainFile
  
  IncMax = 4
  Min.d = -#PI * 2.0
  Max.d = #PI * 2.0
  
  For Index = 0 To IncMax
    Debug StrD(LinearlySpacedValue::Double(Index, IncMax, Min, Max), 6)
  Next
 
CompilerEndIf

; <<<<<<<<<<<<<<<<<<<<<<<<<<
; <<<<< FIN DU FICHIER <<<<<
; <<<<<<<<<<<<<<<<<<<<<<<<<<
; IDE Options = PureBasic 5.42 LTS (Linux - x64)
; Folding = ---
; EnableUnicode
; EnableXP
; CompileSourceDirectory